Package csb :: Package bio :: Package structure :: Class Ensemble

[frames] | no frames]

# Class Ensemble

source code

                object --+
                         |
    core.AbstractContainer --+
                             |
      core.AbstractNIContainer --+
                                 |
                    object --+   |
                             |   |
                AbstractEntity --+
                                 |
                                Ensemble

Represents an ensemble of multiple Structure models. Provides a list-like access to these models:

    >>> ensemble[0]
    <Structure Model 1: accn, x chains>
    >>> ensemble.models[1]
    <Structure Model 1: accn, x chains>

Nested Classes
Inherited from `core.AbstractContainer`: `__metaclass__`

Instance Methods

__init__(self) x.__init__(...) initializes x; see help(type(x)) for signature | source code

__repr__(self) repr(x) | source code

to_pdb(self, output_file=None) Dump the ensemble in PDB format. | source code

Inherited from `core.AbstractNIContainer`: `__getitem__`

Inherited from `core.AbstractContainer`: `__bool__`, `__iter__`, `__len__`, `__nonzero__`

Inherited from `AbstractEntity`: `components`, `get_coordinates`, `transform`

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Class Variables
| __abstractmethods__ = ``frozenset([``])``

Properties
Structure or None | first_model The first Structure in the ensemble (if available)
iterator of AbstractEntity | items Iterator over all immediate children of the entity
EnsembleModelsCollection | models Access Ensembles's models by model ID
Inherited from `object`: `__class__`

Method Details

### __init__(self)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Overrides: object.__init__
  (inherited documentation)

### __repr__(self)
(Representation operator)

source code

repr(x)

Overrides: object.__repr__
  (inherited documentation)

### to_pdb(self, output_file=None)

source code

Dump the ensemble in PDB format.

Parameters:
  - `output_file` (str or stream) - output file name or open stream

Property Details

### first_model

The first Structure in the ensemble (if available)

Get Method:
  unreachable.first_model(self) - The first Structure in the ensemble (if available)
Type:
  Structure or None

### items

Iterator over all immediate children of the entity

Get Method:
  unreachable.items(self)
Type:
  iterator of AbstractEntity

### models

Access Ensembles's models by model ID

Get Method:
  unreachable.models(self) - Access Ensembles's models by model ID
Type:
  EnsembleModelsCollection